ConstraintFilter (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.ConstraintFilter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface ConstraintFilter

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ConstraintFilter

extends ModelObject

Naming Rules:
  0="parent,query"
Persistable:
  true
Table Name:
  CONSFLT
Display Name:
  query

Method Summary
`Constraint` | `getParent()`
`java.lang.String` | `getQuery()`
`boolean` | `hasParent()`
`boolean` | `hasQuery()`
`void` | `setParent(Constraint s)`
`void` | `setQuery(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(Constraint s)

### getParent

    Constraint getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasParent

    boolean hasParent()

### setQuery

    void setQuery(java.lang.String s)

### getQuery

    java.lang.String getQuery()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasQuery

    boolean hasQuery()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD